Page MenuHomePhabricator

Discuss alternate ways to current quarter planning
Closed, ResolvedPublic

Description

We need to evaluate the current cons and pros of quarter planning process, and think of alternate ways how to make the process more open, while still keeping things organized.

What does it itake to move to a collaborative model: https://www.mediawiki.org/wiki/User:Melamrawy_%28WMF%29/Quarterly_Planning_template

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
DuplicateNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
ResolvedKeegan
OpenNone
InvalidKeegan
DeclinedKeegan
DeclinedNone
StalledNone
OpenNone
ResolvedQgil
ResolvedKeegan
ResolvedKeegan
OpenNone
ResolvedMoushira
ResolvedJKatzWMF
ResolvedMoushira

Event Timeline

Moushira created this task.Sep 24 2015, 3:44 PM
Moushira claimed this task.
Moushira raised the priority of this task from to Needs Triage.
Moushira updated the task description. (Show Details)
Moushira added a subscriber: Moushira.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 3:44 PM
Moushira updated the task description. (Show Details)Oct 23 2015, 8:33 PM
Moushira set Security to None.
Qgil added a subscriber: Qgil.Nov 2 2015, 1:06 PM
Qgil added a subscriber: DannyH.

Thank you @Moushira, this task is spot on. I'm adding Team-Practices because I think it is worth thinking about a model that works beyond Reading (although the general exercise shouldn't stop any experimentation with Reading or other teams willing to step in (@DannyH, Community-Tech comes to mind; I don't see why Developer-Advocacy could not step in right now).

The objective would be to have a process to organize community involvement in our planning of quarterly goals, setting common expectations and a calendar.

JAufrecht claimed this task.Nov 4 2015, 7:05 PM
JAufrecht added a subscriber: JAufrecht.

Joel to check in with all parties on this ticket to communicate status of SPDPP, Wes's efforts, and other related efforts.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 7:05 PM
JAufrecht added a subscriber: Wwes.
JAufrecht triaged this task as Normal priority.Nov 4 2015, 7:11 PM
Moushira added a comment.EditedNov 4 2015, 10:00 PM

Thanks @JAufrecht, this was intended primarily for reading vertical as you see. I guess T117800 would block it, and slower the process, but why not :-). My question is:

  • Do we need to agree on a common process for all teams and move forward or rather have a small test with one team, (say Community Tech)?

This doesn't 100% fall under my job, what I would care for though is to have enough clarity and reasoning on the decisions made, as early as they are are in ideation phase. This saves us some arguments (because we can't avoid all arguments :-) and helps the sync and flow from preparation docs to phab execution tickets.

DannyH added a comment.Nov 5 2015, 9:45 PM

In Community Tech, we're going to start our grand Community Wishlist prioritization process next week. We'll be collecting proposals for two weeks in November, then a pause to sort and combine some proposals, and then have people vote on the proposals in the first two weeks of December.

So we'll definitely have some hands-on experience in collaborative planning over the next month, and I'd like to work with you all to figure out how that experience can inform other teams' process. It will be interesting and messy.

Qgil added a comment.Nov 12 2015, 10:59 AM

Just fyi, there is an ongoing discussion about Between "Concept" and "Plan" - Prioritize? in the context of the new WMF product development process.

I agree with @Moushira that all these parallel topics are interesting, but that they should not block any progress experimenting with more collaborative ways to plan our quarterly goals. Moushira, are you in sync with the people in WMF Engineering willing to improve the current quarterly goal planning process? Do they know about your proposal? Your intentions are well aligned with the progress we want to see around the WMF product development process, they deserve review.

Trevor, can that Google doc be made fully public?

Nudge to @TrevorParscal: can you make the Google doc public? Might want to warn commenters first.

JAufrecht removed JAufrecht as the assignee of this task.Nov 18 2015, 11:26 PM

Taking the lead via SPDPP is out of scope for this quarter, handing this back to anyone taking a lead role this quarter.

Moushira added a comment.EditedNov 19 2015, 9:01 PM

For reading, in Q3 we now have:
A page for roadmap moving forward:
https://www.mediawiki.org/wiki/Reading/Roadmap
A page for the team to list ideas for Q3
https://www.mediawiki.org/wiki/Reading/Quarterly_Brainstorming/Q3

Archive of previous brainstorming:
https://www.mediawiki.org/wiki/Reading/Quarterly_Brainstorming

Having the team planning things on wiki, not an etherpad, is a first step towards openness In Q4, we can ask for community input, when both the community and the team have more time to prepare.

I am happy to claim this task as closed!

Moushira closed this task as Resolved.Nov 19 2015, 9:01 PM
Moushira claimed this task.